# API Site internet

L'API Site internet permet de récupérer le contenu affiché sur le site internet Citpo d'un projet.&#x20;

Chaque projet dispose d'un accès dédié à cette API et seuls les contenus de ce projet sont accessibles via celle-ci.

{% hint style="info" %}
[Lire la référence OpenAPI de l'API Site internet](https://console.citipo.com/openapi#operations-tag-Website)
{% endhint %}

## Authentification

L'authentification de l'API Site internet passe par l'utilisation du token API associé au projet.

Pour obtenir ce token, allez dans un projet Citipo puis dans la section **Développeurs > Accès API**. Une fois le token obtenu, utilisez-le en Bearer token HTTP :

```
curl --request GET \
  --url 'https://console.citipo.com/api' \
  --header 'Authorization: Bearer <token>'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.citipo.com/developpeurs/api/api-site-internet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
